$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.80.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.80.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '02ACB77D9604C2BB9CE773AA0B3C94C5E12BA2520A272BFA7915AB820B0B34A8'
  checksumType = 'sha256'
  checksum64 = '02ACB77D9604C2BB9CE773AA0B3C94C5E12BA2520A272BFA7915AB820B0B34A8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.80-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
